Bug 192196 - Core PHP package should Provide php-cli
Core PHP package should Provide php-cli
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-05-18 06:40 EDT by Tim Jackson
Modified: 2010-07-01 13:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-05 19:05:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Jackson 2006-05-18 06:40:48 EDT
The core PHP package should Provide a dep of "php-cli", to give apps that
specifically depend on the CLI SAPI something to depend on, and to facilitate
possible future splitting of the packages (e.g. see bug #177821)

This is not the same as either bug #191366 or bug #191913.

Version-Release number of selected component (if applicable): 5.1.4-1

How reproducible: Always

Steps to Reproduce:
$ rpm -q --provides php|grep cli

Actual results:

Expected results:
php-cli = 5.1.4-1
Comment 1 Tim Jackson 2006-05-18 06:43:01 EDT
NB this is in exactly the same vein as bug #187891.
Comment 2 Tim Jackson 2006-08-05 19:05:09 EDT
This is fixed in devel now with the recent packaging changes.
Comment 3 Orcan Ogetbil 2010-07-01 13:14:56 EDT
I was just wondering, why does php require php-cli?

Note You need to log in before you can comment on or make changes to this bug.